a2jmidid(1)

NAME
a2jmidid - JACK MIDI daemon for ALSA MIDI

SYNOPSIS
a2jmidid [-j jack-server] [e | --export-hw]

DESCRIPTION
a2jmidid is a daemon that implements automatic bridging. For every ALSA sequencer port you get one jack midi port. If ALSA sequencer port is both input and output one, you get two JACK MIDI ports, one input and output.

OPTIONS

-e | --export-hw
    forces a2jmidid to bridge hardware ports as well as software ports

-u  forces a2jmidid to generate non-unique port names (see NOTES)

-j  specifies which jack-server to use

NOTES
ALSA does not guarantee client names to by unique. I.e. it is possible to have two apps that create two clients with same ALSA client name. JACK however requires port names to be unique. To ensure this uniqueness, a2jmidid will add the unique numeric ALSA client ID to the JACK port name. However this behaviour is known to be problematic when restoring connections using simplistic tools like aj-snapshot and jack_connect. In order to make them work, the -u option can be used. This option will cause a2jmidid to omit the numeric ALSA Client ID from JACK port names. In this mode, ALSA client name uniqueness must be guaranteed externally.

AUTHOR
Eric Hedekar <after the beep at g mail dot nospam com>

SEE ALSO
a2j_control(1), a2jmidi_bridge(1), j2amidi_bridge(1)